# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009041255.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009041255.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=201387b OS_GIT_VERSION=4.4.0-202009041255.p0-201387b SOURCE_DATE_EPOCH=1597221824 SOURCE_GIT_COMMIT=201387b47794976a5ca7bdd2165a3d700b0a38a0 SOURCE_GIT_TAG=v0.1-42-g201387b SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-ovirt 

ARG version 
ARG release 

LABEL   com.redhat.component="machine-api" \
        name="cluster-api-provider-ovirt" \
        version="$version" \
        release="$release" \
        architecture="x86_64" \
        summary="cluster-api-provider-ovirt" \
        maintainer="Roy Golan <rgolan@redhat.com>"

WORKDIR /go/cluster-api-provider-ovirt
COPY . .


RUN git --version 
RUN make build

FROM openshift/ose-base:v4.4.0.20200904.133143
ENV __doozer=update BUILD_RELEASE=202009041255.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009041255.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=201387b OS_GIT_VERSION=4.4.0-202009041255.p0-201387b SOURCE_DATE_EPOCH=1597221824 SOURCE_GIT_COMMIT=201387b47794976a5ca7bdd2165a3d700b0a38a0 SOURCE_GIT_TAG=v0.1-42-g201387b SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-ovirt 

COPY --from=builder /go/cluster-api-provider-ovirt/bin/manager /
COPY --from=builder /go/cluster-api-provider-ovirt/bin/machine-controller-manager /

LABEL \
        name="openshift/ose-ovirt-machine-controllers" \
        com.redhat.component="ose-ovirt-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202009041255.p0" \
        io.openshift.build.commit.id="201387b47794976a5ca7bdd2165a3d700b0a38a0" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-ovirt" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-ovirt/commit/201387b47794976a5ca7bdd2165a3d700b0a38a0" \
        version="v4.4.0"

